name: unity-get-container
description: "Get the correct Unity docker container from a provided platform."
inputs:
  version:
    description: "Unity Version."
    required: true
  platform:
    description: "Unity Platform. Options: windows, windows32bit, mac, linux, android"
    required: true
outputs:
  container:
    description: "Unity Docker Container"
    value: ${{ steps.getContainer.outputs.container }}
runs:
  using: "composite"
  steps:
  - name: "Get Unity Docker Container."
    id: getContainer
    run: |
      #Choose the appropriate container from: https://hub.docker.com/r/unityci/editor

      bash ${{ github.action_path }}/get_container.sh "${{ inputs.platform }}" "${{ inputs.version }}"
    shell: bash
